NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::AOCSBuilder Class Reference

Represents a Offset In Face(aka Associative offset curve on face)feature builder. More...

Inheritance diagram for NXOpen::Features::AOCSBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CurveOffsetTypes { CurveOffsetTypesValue, CurveOffsetTypesThroughPoint }
 AOCS builder curve offset type enum. More...
 
enum  Extend { ExtendNone, ExtendWithinSection }
 AOCS builder extend to each other within section type enum. More...
 
enum  ExtendToFace { ExtendToFaceNone, ExtendToFaceBoundary }
 AOCS builder extend to face edges type enum. More...
 
enum  FilletOptions { FilletOptionsNoFillet, FilletOptionsVector, FilletOptionsBestFit, FilletOptionsProjectedVector }
 AOCS builder fillet options type enum. More...
 
enum  OffsetDirection { OffsetDirectionNormalToCurve, OffsetDirectionNormalToVector }
 AOCS builder offset direction type enum. More...
 
enum  OffsetDistanceType { OffsetDistanceTypeConstant, OffsetDistanceTypeVariable }
 AOCS builder offset distance type enum. More...
 
enum  OffsetType {
  OffsetTypeChordal, OffsetTypeArclength, OffsetTypeGeodesic, OffsetTypeTangential,
  OffsetTypeProjectdistance
}
 AOCS builder offset type enum. More...
 
enum  Trim { TrimNone, TrimWithinSection }
 AOCS builder trim to each other within section type enum. More...
 

Public Member Functions

double AngularTolerance ()
 Returns the angular tolerance for the AOCS operation. More...
 
bool AssociativeOutputOption ()
 Returns the associative output option for the AOCS operation. More...
 
NXOpen::SectionCloneSection (bool constToVariable, NXOpen::Section *sectionFrom)
 Clone section. More...
 
NXOpen::GeometricUtilities::CurveFitDataCurveFitData ()
 Returns the curve fit settings
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::CurveFitJoinCurveFitJoinData ()
 Returns the curve fit join method
More...
 
NXOpen::Features::AOCSBuilder::CurveOffsetTypes CurveOffsetType ()
 Returns the curve offset type
Created in NX11.0.1. More...
 
NXOpen::DirectionDirectionVector ()
 Returns the offset diection vector
Created in NX7.5.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance for the AOCS operation. More...
 
NXOpen::Features::AOCSBuilder::Extend ExtendMethod ()
 Returns the extend method option for the AOCS operation. More...
 
NXOpen::Features::AOCSBuilder::ExtendToFace ExtendToFaceOption ()
 Returns the span option for the AOCS operation. More...
 
NXOpen::ScCollectorFaceCollector ()
 Returns the face collector. More...
 
NXOpen::DirectionFilletDirectionVector ()
 Returns the fillet vector
Created in NX7.5.0. More...
 
NXOpen::Features::AOCSBuilder::FilletOptions FilletOption ()
 Returns the fillet option
Created in NX7.5.0. More...
 
NXOpen::ExpressionFilletRadius ()
 Returns the fillet radius
Created in NX7.5.0. More...
 
void FlipAllOffsetsOfSection (NXOpen::Section *section)
 Reverse the direction of all offsets of the section. More...
 
void FlipOffset (NXOpen::NXObject *seldimitem)
 Reverse the offset direction. More...
 
NXOpen::GeometricUtilities::LawBuilderLaw ()
 Returns the law. More...
 
NXOpen::SectionLawString ()
 Returns the law string
Created in NX7.0.0. More...
 
bool LawStringFlip ()
 Returns the law string flip flag
Created in NX7.5.0. More...
 
NXOpen::Features::AOCSBuilder::OffsetDirection OffsetDirectionOption ()
 Returns the offset direction vector
Created in NX7.5.0. More...
 
NXOpen::Features::AOCSBuilder::OffsetDistanceType OffsetDistType ()
 Returns the offset distance type
Created in NX7.5.0. More...
 
NXOpen::Features::AOCSBuilder::OffsetType OffsetMode ()
 Returns the offset mode for the AOCS operation. More...
 
NXOpen::ExpressionSectionSetListOffsets ()
 Returns the list of offsets. More...
 
NXOpen::SectionPointString ()
 Returns the point string
Created in NX11.0.1. More...
 
NXOpen::DirectionProjectPlaneNormal ()
 Returns the project plane vector
Created in NX7.5.0. More...
 
bool RemoveSelfIntersections ()
 Returns the remove self intersections flag . More...
 
void SetAngularTolerance (double angularTolerance)
 Sets the angular tolerance for the AOCS operation. More...
 
void SetAssociativeOutputOption (bool associative)
 Sets the associative output option for the AOCS operation. More...
 
void SetCurveOffsetType (NXOpen::Features::AOCSBuilder::CurveOffsetTypes type)
 Sets the curve offset type
Created in NX11.0.1. More...
 
void SetDirectionVector (NXOpen::Direction *offsetDirection)
 Sets the offset diection vector
Created in NX7.5.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance for the AOCS operation. More...
 
void SetExtendMethod (NXOpen::Features::AOCSBuilder::Extend extendMethod)
 Sets the extend method option for the AOCS operation. More...
 
void SetExtendToFaceOption (NXOpen::Features::AOCSBuilder::ExtendToFace extendToFaceOption)
 Sets the span option for the AOCS operation. More...
 
void SetFaceCollector (NXOpen::ScCollector *collector)
 Sets the face collector. More...
 
void SetFilletDirectionVector (NXOpen::Direction *tipDirection)
 Sets the fillet vector
Created in NX7.5.0. More...
 
void SetFilletOption (NXOpen::Features::AOCSBuilder::FilletOptions options)
 Sets the fillet option
Created in NX7.5.0. More...
 
void SetFilletRadius (NXOpen::Expression *radius)
 Sets the fillet radius
Created in NX7.5.0. More...
 
void SetLawString (NXOpen::Section *lawString)
 Sets the law string
Created in NX7.5.0. More...
 
void SetLawStringFlip (bool flip)
 Sets the law string flip flag
Created in NX7.5.0. More...
 
void SetOffsetDirectionOption (NXOpen::Features::AOCSBuilder::OffsetDirection direction)
 Sets the offset direction vector
Created in NX7.5.0. More...
 
void SetOffsetDistType (NXOpen::Features::AOCSBuilder::OffsetDistanceType type)
 Sets the offset distance type
Created in NX7.5.0. More...
 
void SetOffsetMode (NXOpen::Features::AOCSBuilder::OffsetType offsetMode)
 Sets the offset mode for the AOCS operation. More...
 
void SetPointString (NXOpen::Section *pointString)
 Sets the point string
Created in NX11.0.1. More...
 
void SetProjectPlaneNormal (NXOpen::Direction *projectPlaneNormal)
 Sets the project plane vector
Created in NX7.5.0. More...
 
void SetRemoveSelfIntersections (bool removeSelfIntersections)
 Sets the remove self intersections flag . More...
 
void SetSplitCurveOption (bool splitCurveOption)
 Sets the split curve at face boundary option . More...
 
void SetThroughPoint (NXOpen::Point *throughPoint)
 Sets the through point
Created in NX11.0.1. More...
 
void SetTrimMethod (NXOpen::Features::AOCSBuilder::Trim trimMethod)
 Sets the trim method option for the AOCS operation. More...
 
void SetTrimToFaceEdgesOption (bool trimToFaceEdges)
 Sets the cross boundary option for the AOCS operation. More...
 
bool SplitCurveOption ()
 Returns the split curve at face boundary option . More...
 
void SynchronizeSectionForValueOrPoint (bool pointType)
 Update the section data of Value or Through-Point type. More...
 
void SynchronizeSections (bool constToVariable, NXOpen::Section *firstSection, NXOpen::Section *secondSection)
 Synchronize the second section data consistent to the first one
Created in NX7.5.0. More...
 
NXOpen::PointThroughPoint ()
 Returns the through point
Created in NX11.0.1. More...
 
NXOpen::Features::AOCSBuilder::Trim TrimMethod ()
 Returns the trim method option for the AOCS operation. More...
 
bool TrimToFaceEdgesOption ()
 Returns the cross boundary option for the AOCS operation. More...
 
void UpdateCurvesStatus (bool updateLawParm)
 Update result curve status. More...
 
void UpdateFaces ()
 Update face. More...
 
void UpdatePostStatusFlag (bool postStatusChanged)
 Update the post-process status flag. More...
 
bool UpdateSectionData (NXOpen::Section *section)
 Update section data for offset. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Offset In Face(aka Associative offset curve on face)feature builder.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateAocsBuilder
Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitJoinData.CurveFitOptions.FitOption (deprecated)

Cubic

CurveFitJoinData.CurveFitOptions.MaximumDegree (deprecated)

7

CurveFitJoinData.CurveFitOptions.MaximumSegments (deprecated)

1

Law.Function

ft

Law.LawType

Constant

Law.Parameter

t


Created in NX4.0.0.

Member Enumeration Documentation

AOCS builder curve offset type enum.

Enumerator
CurveOffsetTypesValue 

Value.

CurveOffsetTypesThroughPoint 

Through Point.

AOCS builder extend to each other within section type enum.

Enumerator
ExtendNone 

no extension

ExtendWithinSection 

allow extension

AOCS builder extend to face edges type enum.

Enumerator
ExtendToFaceNone 

no extentsion

ExtendToFaceBoundary 

extend till face boundary

AOCS builder fillet options type enum.

Enumerator
FilletOptionsNoFillet 

No fillet.

FilletOptionsVector 

Vector given.

FilletOptionsBestFit 

Best fitting.

FilletOptionsProjectedVector 

Use Project Vector to fillet.

AOCS builder offset direction type enum.

Enumerator
OffsetDirectionNormalToCurve 

traditional curve normal

OffsetDirectionNormalToVector 

offset pependicular to vector

AOCS builder offset distance type enum.

Enumerator
OffsetDistanceTypeConstant 

constant offset

OffsetDistanceTypeVariable 

variable offset

AOCS builder offset type enum.

Enumerator
OffsetTypeChordal 

offset_type_chordal

OffsetTypeArclength 

offset_type_arclength

OffsetTypeGeodesic 

offset_type_geodesic

OffsetTypeTangential 

offset_type_tangential

OffsetTypeProjectdistance 

offset_type_projectdistance

AOCS builder trim to each other within section type enum.

Enumerator
TrimNone 

no trimming

TrimWithinSection 

allow trimming

Member Function Documentation

double NXOpen::Features::AOCSBuilder::AngularTolerance ( )

Returns the angular tolerance for the AOCS operation.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::AOCSBuilder::AssociativeOutputOption ( )

Returns the associative output option for the AOCS operation.


Created in NX4.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::AOCSBuilder::CloneSection ( bool  constToVariable,
NXOpen::Section sectionFrom 
)

Clone section.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")
Parameters
constToVariablewhether the type change is from constant to variable
sectionFromsection to be cloned
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::AOCSBuilder::CurveFitData ( )

Returns the curve fit settings
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::GeometricUtilities::CurveFitJoin* NXOpen::Features::AOCSBuilder::CurveFitJoinData ( )

Returns the curve fit join method

Deprecated:
Deprecated in NX10.0.0.

Use Features::AOCSBuilder::CurveFitData instead


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::AOCSBuilder::CurveOffsetTypes NXOpen::Features::AOCSBuilder::CurveOffsetType ( )

Returns the curve offset type
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Direction* NXOpen::Features::AOCSBuilder::DirectionVector ( )

Returns the offset diection vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

double NXOpen::Features::AOCSBuilder::DistanceTolerance ( )

Returns the distance tolerance for the AOCS operation.


Created in NX4.0.0.

License requirements : None

NXOpen::Features::AOCSBuilder::Extend NXOpen::Features::AOCSBuilder::ExtendMethod ( )

Returns the extend method option for the AOCS operation.


Created in NX5.0.0.

License requirements : None

NXOpen::Features::AOCSBuilder::ExtendToFace NXOpen::Features::AOCSBuilder::ExtendToFaceOption ( )

Returns the span option for the AOCS operation.


Created in NX4.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::AOCSBuilder::FaceCollector ( )

Returns the face collector.


Created in NX4.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::AOCSBuilder::FilletDirectionVector ( )

Returns the fillet vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::AOCSBuilder::FilletOptions NXOpen::Features::AOCSBuilder::FilletOption ( )

Returns the fillet option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Expression* NXOpen::Features::AOCSBuilder::FilletRadius ( )

Returns the fillet radius
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

void NXOpen::Features::AOCSBuilder::FlipAllOffsetsOfSection ( NXOpen::Section section)

Reverse the direction of all offsets of the section.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
sectioninput section
void NXOpen::Features::AOCSBuilder::FlipOffset ( NXOpen::NXObject seldimitem)

Reverse the offset direction.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
seldimiteminput list item
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AOCSBuilder::Law ( )

Returns the law.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Section* NXOpen::Features::AOCSBuilder::LawString ( )

Returns the law string
Created in NX7.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

bool NXOpen::Features::AOCSBuilder::LawStringFlip ( )

Returns the law string flip flag
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::AOCSBuilder::OffsetDirection NXOpen::Features::AOCSBuilder::OffsetDirectionOption ( )

Returns the offset direction vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::AOCSBuilder::OffsetDistanceType NXOpen::Features::AOCSBuilder::OffsetDistType ( )

Returns the offset distance type
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::AOCSBuilder::OffsetType NXOpen::Features::AOCSBuilder::OffsetMode ( )

Returns the offset mode for the AOCS operation.


Created in NX4.0.0.

License requirements : None

NXOpen::ExpressionSectionSetList* NXOpen::Features::AOCSBuilder::Offsets ( )

Returns the list of offsets.


Created in NX5.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::AOCSBuilder::PointString ( )

Returns the point string
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Direction* NXOpen::Features::AOCSBuilder::ProjectPlaneNormal ( )

Returns the project plane vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

bool NXOpen::Features::AOCSBuilder::RemoveSelfIntersections ( )

Returns the remove self intersections flag .


Created in NX7.5.0.

License requirements : None

void NXOpen::Features::AOCSBuilder::SetAngularTolerance ( double  angularTolerance)

Sets the angular tolerance for the AOCS operation.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
angularToleranceangular tolerance
void NXOpen::Features::AOCSBuilder::SetAssociativeOutputOption ( bool  associative)

Sets the associative output option for the AOCS operation.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
associativeassociative
void NXOpen::Features::AOCSBuilder::SetCurveOffsetType ( NXOpen::Features::AOCSBuilder::CurveOffsetTypes  type)

Sets the curve offset type
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typetype
void NXOpen::Features::AOCSBuilder::SetDirectionVector ( NXOpen::Direction offsetDirection)

Sets the offset diection vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
offsetDirectionoffset direction
void NXOpen::Features::AOCSBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance for the AOCS operation.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
distanceTolerancedistance tolerance
void NXOpen::Features::AOCSBuilder::SetExtendMethod ( NXOpen::Features::AOCSBuilder::Extend  extendMethod)

Sets the extend method option for the AOCS operation.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
extendMethodextend method
void NXOpen::Features::AOCSBuilder::SetExtendToFaceOption ( NXOpen::Features::AOCSBuilder::ExtendToFace  extendToFaceOption)

Sets the span option for the AOCS operation.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
extendToFaceOptionextend to face option
void NXOpen::Features::AOCSBuilder::SetFaceCollector ( NXOpen::ScCollector collector)

Sets the face collector.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
collectorcollector
void NXOpen::Features::AOCSBuilder::SetFilletDirectionVector ( NXOpen::Direction tipDirection)

Sets the fillet vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
tipDirectiontip direction
void NXOpen::Features::AOCSBuilder::SetFilletOption ( NXOpen::Features::AOCSBuilder::FilletOptions  options)

Sets the fillet option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
optionsoptions
void NXOpen::Features::AOCSBuilder::SetFilletRadius ( NXOpen::Expression radius)

Sets the fillet radius
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
radiusradius
void NXOpen::Features::AOCSBuilder::SetLawString ( NXOpen::Section lawString)

Sets the law string
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
lawStringlaw string
void NXOpen::Features::AOCSBuilder::SetLawStringFlip ( bool  flip)

Sets the law string flip flag
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
flipflip
void NXOpen::Features::AOCSBuilder::SetOffsetDirectionOption ( NXOpen::Features::AOCSBuilder::OffsetDirection  direction)

Sets the offset direction vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
directiondirection
void NXOpen::Features::AOCSBuilder::SetOffsetDistType ( NXOpen::Features::AOCSBuilder::OffsetDistanceType  type)

Sets the offset distance type
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typetype
void NXOpen::Features::AOCSBuilder::SetOffsetMode ( NXOpen::Features::AOCSBuilder::OffsetType  offsetMode)

Sets the offset mode for the AOCS operation.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
offsetModeoffset mode
void NXOpen::Features::AOCSBuilder::SetPointString ( NXOpen::Section pointString)

Sets the point string
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
pointStringpointstring
void NXOpen::Features::AOCSBuilder::SetProjectPlaneNormal ( NXOpen::Direction projectPlaneNormal)

Sets the project plane vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
projectPlaneNormalproject plane normal
void NXOpen::Features::AOCSBuilder::SetRemoveSelfIntersections ( bool  removeSelfIntersections)

Sets the remove self intersections flag .


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
removeSelfIntersectionsremove self intersections
void NXOpen::Features::AOCSBuilder::SetSplitCurveOption ( bool  splitCurveOption)

Sets the split curve at face boundary option .


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
splitCurveOptionsplit curve option
void NXOpen::Features::AOCSBuilder::SetThroughPoint ( NXOpen::Point throughPoint)

Sets the through point
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
throughPointthroughpoint
void NXOpen::Features::AOCSBuilder::SetTrimMethod ( NXOpen::Features::AOCSBuilder::Trim  trimMethod)

Sets the trim method option for the AOCS operation.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
trimMethodtrim method
void NXOpen::Features::AOCSBuilder::SetTrimToFaceEdgesOption ( bool  trimToFaceEdges)

Sets the cross boundary option for the AOCS operation.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
trimToFaceEdgestrim to face edges
bool NXOpen::Features::AOCSBuilder::SplitCurveOption ( )

Returns the split curve at face boundary option .


Created in NX10.0.0.

License requirements : None

void NXOpen::Features::AOCSBuilder::SynchronizeSectionForValueOrPoint ( bool  pointType)

Update the section data of Value or Through-Point type.

Call this method when it is really needed to copy section between value and point.


Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
pointTypevalue or point type
void NXOpen::Features::AOCSBuilder::SynchronizeSections ( bool  constToVariable,
NXOpen::Section firstSection,
NXOpen::Section secondSection 
)

Synchronize the second section data consistent to the first one
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
constToVariablewhether the type change is from constant to variable
firstSectionsection as input
secondSectionsection to be st=ynchronized
NXOpen::Point* NXOpen::Features::AOCSBuilder::ThroughPoint ( )

Returns the through point
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::AOCSBuilder::Trim NXOpen::Features::AOCSBuilder::TrimMethod ( )

Returns the trim method option for the AOCS operation.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::AOCSBuilder::TrimToFaceEdgesOption ( )

Returns the cross boundary option for the AOCS operation.


Created in NX4.0.0.

License requirements : None

void NXOpen::Features::AOCSBuilder::UpdateCurvesStatus ( bool  updateLawParm)

Update result curve status.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
updateLawParmwhether to update law parm
void NXOpen::Features::AOCSBuilder::UpdateFaces ( )

Update face.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

void NXOpen::Features::AOCSBuilder::UpdatePostStatusFlag ( bool  postStatusChanged)

Update the post-process status flag.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
postStatusChangedwhether the post status changed
bool NXOpen::Features::AOCSBuilder::UpdateSectionData ( NXOpen::Section section)

Update section data for offset.

Returns
flag indicating if offset direction flipped
Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR insp_programming ("INSPECTION PROGRAMMING")
Parameters
sectionsection as input

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.